import { __rest } from '../../_virtual/_tslib.js';
import React__default from 'react';
import { LinkWrapper, LinkContent } from './styles.js';

function Link(_a) {
    var { label, icon, type = 'standalone', variant = 'default', size = 'medium', iconModifiers = 'trailing', bold } = _a, props = __rest(_a, ["label", "icon", "type", "variant", "size", "iconModifiers", "bold"]);
    return (React__default.createElement(LinkWrapper, Object.assign({}, props, { type: type, variant: variant, size: size, "data-testid": props['data-testid'], "data-trackid": props['data-trackid'], "aria-label": props['aria-label'], role: "link", bold: bold }),
        React__default.createElement(LinkContent, { iconModifiers: iconModifiers, variant: variant },
            React__default.createElement("span", null, label),
            icon && icon)));
}

export { Link };
